package intrinsic.mx.binding.utils;

public class ChangeWatcher extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ChangeWatcher() {
}

public ChangeWatcher(Object arg0, intrinsic.Function arg1) {
}

public ChangeWatcher(Object arg0, intrinsic.Function arg1, boolean arg2) {
}

public ChangeWatcher(Object arg0, intrinsic.Function arg1, boolean arg2, intrinsic.mx.binding.utils.ChangeWatcher arg3) {
}


/** Static Methods */
public static native intrinsic.mx.binding.utils.ChangeWatcher watch(Object arg0, Object arg1, intrinsic.Function arg2);
public static native intrinsic.mx.binding.utils.ChangeWatcher watch(Object arg0, Object arg1, intrinsic.Function arg2, boolean arg3);
public static native boolean canWatch(Object arg0, String arg1);
public static native boolean canWatch(Object arg0, String arg1, boolean arg2);
public static native Object getEvents(Object arg0, String arg1);
public static native Object getEvents(Object arg0, String arg1, boolean arg2);

/** Methods */
public native void unwatch();
public native Object getValue();
public native void reset(Object arg0);
public native boolean isWatching();
public native void setHandler(intrinsic.Function arg0);

}
